Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.util.lookup
Class AbstractLookup.Pair

    java.lang.Object
      org.openide.util.Lookup.Item
          org.openide.util.lookup.AbstractLookup.Pair

All Implemented Interfaces:
  Serializable

Enclosing class:
  AbstractLookup

    public abstract static class AbstractLookup.Pair

extends Lookup.Item
implements Serializable

Extension to the default lookup item that offers additional information for the data structures use in AbstractLookup

See Also:
  Serialized Form

Constructor Summary
`protected` | `AbstractLookup.Pair()` For use by subclasses.

Method Summary
`protected abstract boolean` | `creatorOf(Object obj)` Method that can test whether an instance of a class has been created by this item.
`protected abstract boolean` | `instanceOf(Class c)` Tests whether this item can produce object of class c.

Methods inherited from class org.openide.util.Lookup.Item
`getDisplayName, getId, getInstance, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractLookup.Pair

    protected AbstractLookup.Pair()

  For use by subclasses.

Method Detail

### instanceOf

    protected abstract boolean instanceOf(Class c)

  Tests whether this item can produce object of class c.

### creatorOf

    protected abstract boolean creatorOf(Object obj)

  Method that can test whether an instance of a class has been created by this item.

  Parameters:
    `obj` - the instance
  Returns:
    if the item has already create an instance and it is the same as obj.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.